Gecode::MeritBase< _View, _Val > Class Template Reference

Base-class for merit class. More...

`#include <merit.hpp>`

## Public Types

typedef _View | View
| View type.
typedef View::VarType | Var
| Corresponding variable type.
typedef _Val | Val
| Type of merit.

## Public Member Functions

| MeritBase (Space &home, const VarBranch< Var > &vb)
| Constructor for initialization.
| MeritBase (Space &home, MeritBase &mb)
| Constructor for cloning.
bool | notice (void) const
| Whether dispose must always be called (that is, notice is needed).
void | dispose (Space &home)
| Delete view merit class.

## Detailed Description

template<class _View, class _Val>
class Gecode::MeritBase< _View, _Val >

Base-class for merit class.

Definition at line 46 of file merit.hpp.

## Member Typedef Documentation

## View

template<class _View, class _Val>

typedef _View Gecode::MeritBase< _View, _Val >::View

View type.

Definition at line 49 of file merit.hpp.

## Var

template<class _View, class _Val>

typedef View::VarType Gecode::MeritBase< _View, _Val >::Var

Corresponding variable type.

Definition at line 51 of file merit.hpp.

## Val

template<class _View, class _Val>

typedef _Val Gecode::MeritBase< _View, _Val >::Val

Type of merit.

Definition at line 53 of file merit.hpp.

## Constructor & Destructor Documentation

## MeritBase() [1/2]

template<class View, class Val>

Gecode::MeritBase< View, Val >::MeritBase | ( | Space & | home,
|  | const VarBranch< Var > & | vb )

inline

Constructor for initialization.

Definition at line 176 of file merit.hpp.

## MeritBase() [2/2]

template<class View, class Val>

Gecode::MeritBase< View, Val >::MeritBase | ( | Space & | home,
|  | MeritBase< _View, _Val > & | mb )

inline

Constructor for cloning.

Definition at line 179 of file merit.hpp.

## Member Function Documentation

## notice()

template<class View, class Val>

bool Gecode::MeritBase< View, Val >::notice | ( | void |  | ) | const

inline

Whether dispose must always be called (that is, notice is needed).

Definition at line 182 of file merit.hpp.

## dispose()

template<class View, class Val>

void Gecode::MeritBase< View, Val >::dispose | ( | Space & | home | ) |

inline

Delete view merit class.

Definition at line 187 of file merit.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/branch/merit.hpp